вход или регистрация

GIMP — The GNU Image Manipulation Program
Гимп — бесплатный графический редактор

   

Ошибка после установки Ufraw к Linux

ГлавнаяОтветы Ошибка после установки Ufraw к Linux

Как установить плагин ufraw к gimp 2.7.3 в ubuntu 11.10 i386? Я попробовал просто установить из репозитория gimp-ufraw, возникает ошибка (скриншот прилагается). Изображение всё же открывается, но хотелось бы, чтобы этого не было.

Используется: Ubuntu 11.10 i386, gimp 2.7.3.

19 октября 2011 0 Андрей Шкворов

Метки: , , , , , .

7 ответов

0

Пользователь #4Андрей Сидоров20 октября 2011 в 00:17#

Есть подозрение, что в репозитории (Каноникала?) лежит старая версия программы. Каноникал очень редко малоиспользуемые программы обновляет.

Другое мнение, что ветка 2.7 использует какие-то новые функции и/или вызовы функций и просто у разработчика UfRAW еще не дошли руки, чтобы сделать привязку к этим функциям. Был бы программистом - не стал бы писать для GIMP, пока не выйдет стабильная версия.

0

Пользователь #2102zend20 октября 2011 в 07:47#

Это не ошибка, а предупреждение. Дополнение ufraw все равно работает, только будет постоянно выводить подобные предупреждения об обращении к устаревшим функциям PDB (да вы и сами могли бы перевести текст этого предупреждения). Найдите свежую версию ufraw для GIMP-2.7.x - 2.8.x, а если её нет ждите пока выпустят (но я думаю, что уже есть)

И да, по моему в GIMP-e как-то можно запретить вывод предупреждений в виде окон и перенаправить их в консоль (в консоль GIMP-a, которая в меню "Прикрепляющиеся диалоги"), как это сделать в скрипте я знаю, а вот возможно ли такое из графического интерфейса GIMP затрудняюсь ответить. А вспомнил, достаточно просто добавить этот диалог на панель диалогов и все предупреждения и ошибки будут сыпаться туда

>> Каноникал очень редко малоиспользуемые программы обновляет.
Это здесь не причём GIMP-2.7.3 - нестабилен и его и так никто в официальный репазиторий не добавит. Равно как и дополнения для него.

0

Пользователь #4Андрей Сидоров21 октября 2011 в 09:25#

zend, UfRAW - это не только дополнение, но и самостоятельная программа. Прекрасно работает без гимпа.

0

Пользователь #2102zend21 октября 2011 в 18:24#

Я в курсе. Здесь речь идёт о дополнении.

0

Пользователь #4Андрей Сидоров21 октября 2011 в 19:40#

Дело в том, что UfRAW нет отдельно как программы и отдельно как дополнения. Просто при установленном и включенном Гимпе UfRAW в нее интегрируется, как мог бы интегрироваться в F-Spot.

0

Пользователь #2102zend22 октября 2011 в 09:52#

UfRAW не может интегрироваться просто так, это такое же дополнение и оно точно также должно находиться в системной паке GIMP-a, пусть оно выполняет роль прослойки между GIMP-ом и UfRAW, не важно. Выведенное пользователю, Андрей Шкворов, предупреждение говорит о том, что дополнение UfRAW использует устаревшие функции PDB и это естественно, так как дополнение к нестабильной версии программы в официальный репазиторий никто не добавит даже при его наличии в реале.

Для Ubuntu эту проблему решит PPA, если он есть в природе конечно. Андрей Шкворов, по всей видимости, знает, что такое PPA, раз сумел нестабильный GIMP к себе на машину установить, вот теперь пусть найдёт PPA со свежим UfRAW и установит себе или воспользуется моей рекомендацией и добавит на панель консоль, чтобы предупреждения работать не мешали.

0

Пользователь #4Андрей Сидоров23 октября 2011 в 03:21#

>...это такое же дополнение ..., пусть оно выполняет роль прослойки между GIMP-ом и UfRAW...
С этим я и не спорил. Имел ввиду, что такую "прослойку" можно добавлять как плагин не только в GIMP.

На официальном сайте Ufraw http://ufraw.sourceforge.net/
нет упоминаний о новой версии, в которой бы вызов был починен, как например, что-то такое чинили в 2008 году. Fix the "Send to Gimp" option to work with Gimp-2.6 that no longer ships the remote-gimp command.

Чтобы участвовать в обсуждении вы должны войти или зарегистрироваться.

Информация по вопросу

Задать вопрос
13865+0
Комментариев